安装方法:


众所周知,Linux系统自带的repo是不会自动更新每个软件的最新版本(基本都是比较靠后的稳定版),


所以无法通过yum方式安装MySQL的高级版本。所以我们需要先安装带有当前可用的mysql5系列社区版资源的rpm包。


#######安装rpm包 [root@typecodes ~]# rpm -Uvh http://dev.mysql.com/get/mysql-community-release-el7-5.noarch.rpm                          


这时查看当前可用的mysql安装资源:


[root@typecodes ~]# yum repolist enabled | grep "mysql.*-community.*" mysql-connectors-community/x86_64 MySQL Connectors Community   

             

14 mysql-tools-community/x86_64      MySQL Tools Community                      17 mysql56-community/x86_64          MySQL 5.6 Community Server 

           

从上面的列表可以看出,mysql56-community/x86_64和MySQL 5.6 Community Server可以使用。


因此,我们就可以直接用yum方式安装了MySQL5.6版本了。


yum -y install mysql-community-server


systemctl enable mysqld


systemctl start mysqld


mysql_secure_installation